Read Card Account Transactions

GET /v1/card-accounts/{accountNumber}/transactions

Read card account transactions for a given account by accountNumber.


Path Parameters

ParameterTypeDescription
accountNumberStringThe unique card account number, retrieved from the Read Card Account List response.

Query Parameters

ParameterTypeDescription
dateFromISODateStarting date of the transaction list. Required if no delta access is needed.
dateToISODateEnd date of the transaction list. Defaults to "now" if not provided.
bookingStatusStringPermitted values: booked, pending, both. Mandatory.

Request Headers

ParameterTypeDescription
X-Request-IDUUIDUnique request ID, set by the initiating party (TPP). Mandatory.
Consent-IDUUIDThe consentId of the related AIS consent. Mandatory.
AuthorizationStringOAuth2 Bearer token obtained from SCA performed prior to this request. Mandatory.
API-KeyStringConsumer key available on the developers portal. Mandatory.
PSU-IP-AddressStringForwarded IP address between PSU and TPP. Optional.
PSU-IP-PortStringForwarded IP port between PSU and TPP, if available. Optional.
PSU-Device-IDStringUUID for a device or application installation, unaltered until removal. Optional.
PSU-Geo-LocationStringForwarded geo location between PSU and TPP, if available. Optional.

Request Body

No request body.


Response

HTTP 200 OK

Response Headers

ParameterTypeDescription
X-Request-IDUUIDUnique request ID, set by the initiating party (TPP). Mandatory.

Response Body

ParameterTypeDescription
transactionsArray of Payment ObjectsList of payments for this account. Mandatory.
paginationPaginationInformation about pagination of results. Mandatory.

Example

Request

curl -X GET \
https://mp-psd2-api.mypos.com/v1/card-accounts/50044620073/transactions \
-H 'API-Key: aGDmxHAmpMWUL1txqCsjEcOS' \
-H 'Authorization: Bearer oqeeWzoYfqkf1RsfyaB3hyNiLvY7GNAV6Kta7sGa9X' \
-H 'X-Request-ID: a552babc-7081-44e7-9361-61eb17e0bfd9' \
-H 'Consent-ID: 3c7816ee-3d51-4bf5-8ced-ece2af35d431'

Response

{
    "transactions": [
        {
            "paymentReference": "MTIPS0319046QBMX",
            "operation": "Intra-Customer Money Transfer",
            "operationType": "Balance transfer",
            "transactionCurrency": "EUR",
            "transactionAmount": -1.0,
            "originalCurrency": "EUR",
            "originalAmount": -1.0,
            "date": "2019-02-15T14:28:05",
            "sign": "D"
        },
        {
            "paymentReference": "MTIPS0319046QBMS",
            "operation": "Intra-Customer Money Transfer",
            "operationType": "Balance transfer",
            "transactionCurrency": "EUR",
            "transactionAmount": -1.0,
            "originalCurrency": "EUR",
            "originalAmount": -1.0,
            "date": "2019-02-15T14:27:32",
            "sign": "D"
        }
    ],
    "pagination": {
        "pageSize": 2,
        "page": 1,
        "total": 2
    }
}